---
title: "ELIUF: Explain Like I Use Facebook"
author: Yarmo Mackenbach
slug: eliuf
date: "2020-07-18 17:51:26"
published: true
---

## ELI5

Perhaps you've seen the word [ELI5](https://www.urbandictionary.com/define.php?term=ELI5) before. This stands for "Explain Like I'm 5". In other words, "please use simple terms and expressions to explain your point". It's not an insult to one's intelligence, it's just the process of transferring knowledge between (groups of) individuals that have different fundamental levels of understanding of the concept in question.

I've come to the realization we need a similar thing with regards to the "decentralized internet". It's not that I could only explain it to you if I use very simple terms because it's a complicated concept&mdash;it's not.

But rather, it's a significant shift in how one needs to think about how the internet works, how services are provided for us and, ultimately, how our data flows on the digital highway.

## Our internet needs to change

Days rarely go by without some mention in the global news that a [big internet corporation was fined for misuse of our data](https://www.eureporter.co/frontpage/2020/07/14/gdpr-belgian-data-protection-authority-fines-google-e600000/) or a [report on a large security breach](https://time.com/5867577/twitter-breach-hack-bitcoin-trust/) or [abuse of monopoly](https://www.businessinsider.nl/google-prioritizes-youtube-videos-over-competitors-2020-7?international=true&r=US). These links are just from last week (2020-07-13 to 2020-07-19). Next week will produce new revelations on how our online existence is threatened or abused.

Our internet today is fundamentally flawed. But with all the attention it is getting these days, people are starting to see the cracks and will turn to a better alternative: the "decentralized internet".

## ELIUF

In a series of post, we will explore what it means to use this new decentralized internet, how it serves you, what are the benefits and the drawbacks, and how it fixes today's internet.

You will recognize these post by their mentioning of "ELIUF" in either the title or somewhere in the text. ELIUF stands for "Explain Like I Use Facebook". A little facetious, I admit. But it works. People who use Facebook have a good grasp on how a "centralized internet" works. With Facebook slowly crumbling under scandals and fines, it's their users and the users of similar sites (Twitter, YouTube, etc.) that will need some guidance when they choose to abandon those sites.

## ELIUF 101

A first ELIUF explanation? No problem, here it is! "Decentralized" means that no single "central" authority is responsible for possessing data or knowledge. Therefore, this blog that you are reading this post on, will only be one of a larger network of blogs that will write about the topic. Each blog will aim to link to a few posts on different blogs, allowing you to easily learn about these new concepts while moving around the internet.

Just like recommended Facebook posts or recommended YouTube videos! Except, well, decentralized :)

Let's all share this knowledge with each other and welcome everyone who wishes to escape today's internet and join the decentralized web.

## ELIUF posts elsewhere on the internet

- [How to decentralize the Internet](https://www.garron.blog/posts/eliuf.html) by [Guillermo Garron](https://www.garron.blog)
